# pion::plugins::AllowNothingService Class Reference

`#include <AllowNothingService.hpp>`

Inherits pion::net::WebService.

List of all members.

## Detailed Description

This class has a corresponding create function (pion_create_AllowNothingService) and destroy function (pion_destroy_AllowNothingService), as required for use by PionPlugin.

Definition at line 23 of file AllowNothingService.hpp.

## Public Member Functions

| AllowNothingService (void)
| ~AllowNothingService ()
virtual void | operator() (pion::net::HTTPRequestPtr &request, pion::net::TCPConnectionPtr &tcp_conn)

## Member Function Documentation

void pion::plugins::AllowNothingService::operator() | ( | pion::net::HTTPRequestPtr & | request,
|  | pion::net::TCPConnectionPtr & | tcp_conn |
| ) |  |  | `[virtual]`

attempts to handle a new HTTP request

Parameters:

  | request | the new HTTP request to handle
  | tcp_conn | the TCP connection that has the new request

Implements pion::net::WebService.

Definition at line 21 of file AllowNothingService.cpp.

The documentation for this class was generated from the following files:

- net/services/AllowNothingService.hpp
- net/services/AllowNothingService.cpp